unit Unit1;

interface

uses
  SysUtils, Classes, Controls, Forms, Dialogs, StdCtrls, ExtCtrls,
  bfs_system;

type
  TForm1 = class(TForm)
    BFSToTrash: TBFSToTrash;
    RadioGroup1: TRadioGroup;
    Edit1: TEdit;
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    Button2: TButton;
    Button3: TButton;
    procedure RadioGroup1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
 case RadioGroup1.ItemIndex of
  0 : BFSToTrash.OptionTrash := otProgress;
  1 : BFSToTrash.OptionTrash := otSilent;
 end;

end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 if OpenDialog1.Execute then
 Edit1.Text := OpenDialog1.FileName; 
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
 if FileExists(Edit1.text) then
 begin
  BFSToTrash.FileName := Edit1.Text;
  if BFSToTrash.Execute then
  ShowMessage('Moved!') else
  ShowMEssage('Not Moved!');
 end else
  ShowMessage('File don''t exist!');
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 Close;
end;

end.
