unit Unit1;

interface

uses
  Classes, Forms, Db, DBTables, Controls, ExtCtrls, SysUtils,
  StdCtrls, Buttons, bfs_buttons, bfs_graphs, bfs_combos, bfs_system;

type
  TForm1 = class(TForm)
    Button2: TButton;
    Button3: TButton;
    BFSDateTimePicker1: TBFSDateTimePicker;
    BFSDBDateTimePicker1: TBFSDBDateTimePicker;
    BFSDateTimePicker2: TBFSDateTimePicker;
    BFSProgressBar2: TBFSProgressBar;
    Table1: TTable;
    DataSource1: TDataSource;
    BFSDBNavigator1: TBFSDBNavigator;
    Button1: TButton;
    Table1Autorecord: TAutoIncField;
    Table1Daterecord: TDateField;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Table1AfterScroll(DataSet: TDataSet);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

var TB : TBFSTaskBar;

procedure TForm1.FormCreate(Sender: TObject);
begin
 TB := TBFSTaskBar.Create(Self);

 Table1.DatabaseName := ExtractFilePath(ParamStr(0));
 Table1.Open;

 BFSProgressBar2.Position := 1;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 TB.Free;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
 TB.Hide := true;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 TB.ShowNow;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 Table1.Close;
 Close;
end;

procedure TForm1.Table1AfterScroll(DataSet: TDataSet);
begin
 BFSProgressBar2.Max := Table1.RecordCount;
 BFSProgressBar2.Position := Table1.RecNo;
end;

end.
