unit Unit1;

interface

uses
  Windows, Classes, Controls, Forms, StdCtrls, ExtCtrls,  Grids, Dialogs,
  Db, DBTables, SysUtils, Graphics, DBGrids,
  Mask, DBCtrls, bfs_combos, bfs_edits, bfs_buttons, bfs_dbgrids;

type
  TForm1 = class(TForm)
    Table1: TTable;
    DataSource1: TDataSource;
    BFSDBGridBool1: TBFSDBGridBool;
    BFSDBNavigator1: TBFSDBNavigator;
    Table2: TTable;
    DataSource2: TDataSource;
    DBNavigator1: TDBNavigator;
    ListBox1: TListBox;
    Table1Name: TStringField;
    Table1Age: TSmallintField;
    Table1Approved: TBooleanField;
    Table2Country: TStringField;
    Table2Name: TStringField;
    BFSDBEditFind1: TBFSDBEditFind;
    BFSDBComboBoxFind1: TBFSDBComboBoxFind;
    procedure BFSDBGridBool1DrawCheckBox(var ColorCheck: TColor);
    procedure BFSDBGridBool1UserChecking(const Check: Boolean;
      const Col: Integer; var Accept: Boolean);
    procedure BFSDBEditFind1AddItem(const Value: String; var Accept: Boolean);
    procedure FormCreate(Sender: TObject);
  private
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.BFSDBGridBool1DrawCheckBox(var ColorCheck: TColor);
begin
 if Table1Age.Value <= 12 then
 ColorCheck := clRed else
 ColorCheck := clBlack;
end;

procedure TForm1.BFSDBGridBool1UserChecking(const Check: Boolean;
  const Col: Integer; var Accept: Boolean);
begin
 if (Col = 2) and Check then
 begin
  MessageDlg('Lock ! Approved !',mtInformation,[mbok],0);
  Accept := false;
 end else
  Accept := true;
end;

procedure TForm1.BFSDBEditFind1AddItem(const Value: String; var Accept: Boolean);
begin
  if ListBox1.Items.IndexOf(Value) < 0 then
  ListBox1.Items.Add(AnsiUppercase(Value));

  Accept := true;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
 ListBox1.Items.Assign(BFSDBEditFind1.Items);
 Table1.DatabaseName := ExtractFilePath(Application.ExeName);
 Table1.open;
 Table2.DataBaseName := Table1.DataBaseName;
 Table2.Open;
end;

end.

 
