unit Unit1;

interface

uses
  Windows, SysUtils, Classes, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, bfs_nonvis, bfs_system, bfs_panels, bfs_labels;

type
  TForm1 = class(TForm)
    BFSExitWin1: TBFSExitWin;
    Button1: TButton;
    BFSLabel1: TBFSLabel;
    BFSLabel2: TBFSLabel;
    BFSMonitor1: TBFSMonitor;
    Button2: TButton;
    BFSPanelFlick1: TBFSPanelFlick;
    ComboBox1: TComboBox;
    BFSLabel3: TBFSLabel;
    BFSLabel4: TBFSLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure BFSMonitor1UnexpectedBits(Bits: TBits);
    procedure BFSMonitor1UnexpectedRes(Res: TResolution);
    procedure FormCreate(Sender: TObject);
    procedure BFSPanelFlick1Click(Sender: TObject);
    procedure ComboBox1Click(Sender: TObject);
    procedure BFSLabel4Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
 if MessageDlg('Do you really ShutDown Windows?',mtWarning,[mbyes,mbNo],0) = idyes then
 BFSExitWin1.Execute;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 ShowMessage('Bits: '+BFSMonitor1.ActualBits+#13+
             'Res: '+BFSMonitor1.ActualRes+#13+
             'Colors: '+BFSMonitor1.ActualColors);
end;

procedure TForm1.BFSMonitor1UnexpectedBits(Bits: TBits);
begin
 ShowMessage('Bits expected : 16');
end;

procedure TForm1.BFSMonitor1UnexpectedRes(Res: TResolution);
begin
 ShowMessage('Resolution expected : 800x600');
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
 ComboBox1.ItemIndex := 0;
end;

procedure TForm1.BFSPanelFlick1Click(Sender: TObject);
begin
 BFSPanelFlick1.FlickOn;
end;

procedure TForm1.ComboBox1Click(Sender: TObject);
begin
 BFSPanelFlick1.FlickStyle := TFlickStyles(ComboBox1.ItemIndex);
end;

procedure TForm1.BFSLabel4Click(Sender: TObject);
begin
 Close;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
 BFSMonitor1.Execute;
end;

end.
